
if mobs.mod and mobs.mod == "redo" then

	mobs:register_mob("mobs_bunny:bunny", {
		type = "animal",
		visual = "mesh",
		mesh = "mobs_bunny.b3d",
		drawtype = "front",

		collisionbox = {-0.268, -0.5, -0.268,  0.268, 0.167, 0.268},
		animation = {
			speed_normal = 20, speed_run = 30, 
			stand_start = 1, stand_end = 15, 
			walk_start = 16, walk_end = 24,
			punch_start = 16, punch_end = 24,
		},
		textures = {
			{"mobs_bunny_grey.png"},
			{"mobs_bunny_brown.png"},
			{"mobs_bunny_white.png"},
		},

		runaway = true,
		jump = true,
		fly = false,

		jump_height = 4,
		fear_height = 2,
		walk_chance = 75,
		walk_velocity = 1,
		stepheight = 1.1,
		run_velocity = 2,
		view_range = 8,
		damage = 0,
		reach = 1,

		attack_type = "dogfight",
		passive = true,
		runaway = true,
		attacks_monsters = false,
		pathfinding = false,
		group_attack = false,

		hp_min = 5,
		hp_max = 10,
		armor = 200,

		knock_back = 1,
		lava_damage = 1,
		fall_damage = 1,
		water_damage = 1,

		makes_footstep_sound = false,
		sounds = {},

		drops = {},
	})

	mobs:register_spawn("mobs_bunny:bunny",
		{"default:dirt_with_snow","default:dirt_with_grass", "ethereal:grove_dirt"}, 20, 10, 3000, 1, 31000, true)

end
