
if mobs.mod and mobs.mod == "redo" then

	mobs:register_mob("mobs_girl:girl", {
		type = "npc",
		visual = "mesh",
		mesh = "character.b3d",
		drawtype = "front",

		collisionbox = {-0.35,-1.0,-0.35, 0.35,0.8,0.35},
		animation = {
			speed_normal = 30,
			speed_run = 30,
			stand_start = 0,
			stand_end = 79,
			walk_start = 168,
			walk_end = 187,
			run_start = 168,
			run_end = 187,
			punch_start = 200,
			punch_end = 219,
		},

		textures = {
			{"mobs_girl1.png"},{"mobs_girl2.png"},{"mobs_girl3.png"},{"mobs_girl4.png"},{"mobs_girl5.png"},{"mobs_girl6.png"},
		},
		msg_textures = {"gmsg1.png","gmsg2.png","gmsg3.png","gmsg4.png","gmsg5.png","gmsg6.png","gmsg7.png","gmsg8.png","gmsg9.png","gmsg10.png","gmsg11.png","gmsg12.png","gmsg13.png","gmsg14.png","gmsg15.png","gmsg16.png","gmsg17.png","gmsg18.png","gmsg19.png","gmsg20.png","gmsg21.png","gmsg22.png","gmsg23.png","gmsg24.png"},
		runaway = false,
		jump = false,
		fly = false,

		jump_height = 4,
		fear_height = 3,
		walk_chance = 20,
		walk_velocity = 2,
		run_velocity = 3,
		stepheight = 1.1,
		view_range = 15,
		owner = "",
		order = "stand",
		follow = {"farming:bread", "mobs:meat", "default:diamond"},

		attack_type = "dogfight",
		passive = true,
		runaway = false,
		attacks_monsters = false,
		pathfinding = false,
		group_attack = false,

		hp_min = 1000,
		hp_max = 1000,
		armor = 1,

		knock_back = 0,
		lava_damage = 2,
		fall_damage = 1,
		water_damage = 0,

		makes_footstep_sound = true,
		sounds = {},

		drops = {},
	})

	mobs:register_spawn("mobs_girl:girl", {"default:dirt_with_snow", "default:dirt_with_grass", "default:desert_sand"}, 20, 10, 9000, 1, 31000, true)
end

