
if mobs.mod and mobs.mod == "redo" then

	mobs:register_mob("mobs_boy:boy", {
		type = "npc",
		visual = "mesh",
		mesh = "character.b3d",
		drawtype = "front",

		collisionbox = {-0.35,-1.0,-0.35, 0.35,0.8,0.35},
		animation = {
			speed_normal = 30,
			speed_run = 30,
			stand_start = 0,
			stand_end = 79,
			walk_start = 168,
			walk_end = 187,
			run_start = 168,
			run_end = 187,
			punch_start = 200,
			punch_end = 219,
		},

		textures = {
			{"mobs_boy1.png"},{"mobs_boy2.png"},{"mobs_boy3.png"},{"mobs_boy4.png"},{"mobs_boy5.png"},{"mobs_boy6.png"},{"mobs_boy7.png"},{"mobs_boy8.png"},{"mobs_boy9.png"},
		},
		msg_textures = {"bmsg1.png","bmsg2.png","bmsg3.png","bmsg4.png","bmsg5.png","bmsg6.png","bmsg7.png","bmsg8.png","bmsg9.png","bmsg10.png","bmsg11.png","bmsg12.png","bmsg13.png","bmsg14.png","bmsg15.png","bmsg16.png","bmsg17.png","bmsg18.png","bmsg19.png","bmsg20.png","bmsg21.png"},
		runaway = false,
		jump = false,
		fly = false,

		jump_height = 4,
		fear_height = 3,
		walk_chance = 20,
		walk_velocity = 2,
		run_velocity = 3,
		stepheight = 1.1,
		view_range = 15,
		owner = "",
		order = "stand",
		follow = {"farming:bread", "mobs:meat", "default:diamond"},

		attack_type = "dogfight",
		passive = true,
		runaway = false,
		attacks_monsters = false,
		pathfinding = false,
		group_attack = false,

		hp_min = 1000,
		hp_max = 1000,
		armor = 1,

		knock_back = 0,
		lava_damage = 2,
		fall_damage = 1,
		water_damage = 0,

		makes_footstep_sound = true,
		sounds = {},

		drops = {},
	})


	mobs:register_spawn("mobs_boy:boy", {"default:dirt_with_snow", "default:dirt_with_grass", "default:desert_sand"}, 20, 10, 6000, 1, 31000, true)
end

