
if mobs.mod and mobs.mod == "redo" then

	mobs:register_mob("mobs_kitten:kitten", {
		type = "animal",
		visual = "mesh",
		mesh = "mobs_kitten.b3d",
		drawtype = "front",

		collisionbox = {-0.3, -0.3, -0.3, 0.3, 0.1, 0.3},
		visual_size = {x = 0.5, y = 0.5},
		animation = {
			speed_normal = 42,
			stand_start = 97,
			stand_end = 192,
			walk_start = 0,
			walk_end = 96,
		},
		textures = {
			{"mobs_kitten_splotchy.png"},
			{"mobs_kitten_ginger.png"},
			{"mobs_kitten_sandy.png"},
		},

		runaway = true,
		jump = true,
		fly = false,

		jump_height = 4,
		fear_height = 2,
		walk_chance = 75,
		walk_velocity = 0.6,
		run_velocity = 2,
		stepheight = 1.1,
		view_range = 8,
		damage = 0,
		reach = 1,

		attack_type = "dogfight",
		passive = true,
		runaway = true,
		attacks_monsters = false,
		pathfinding = false,
		group_attack = false,

		hp_min = 5,
		hp_max = 10,
		armor = 200,

		knock_back = 1,
		lava_damage = 1,
		fall_damage = 1,
		water_damage = 1,

		makes_footstep_sound = false,
		sounds = {},

		drops = {},
	})

	mobs:register_spawn("mobs_kitten:kitten",
		{"default:dirt_with_grass", "ethereal:grove_dirt"}, 20, 10, 3000, 1, 31000, true)

end
